### Class

# Phosh HksManager

#### Description [src]

    final class Phosh.HksManager : GObject.Object
    {
      /* No available fields */
    }

Tracks hardware kill switch state

Monitor hardware kill switch state. This will be submitted to gnome-settings-daemon once we figured out the kernel interfaces.

#### Ancestors

- GObject

#### Constructors

###### phosh_hks_manager_new

No description available.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.HksManager:camera-blocked

No description available.

###### Phosh.HksManager:camera-icon-name

No description available.

###### Phosh.HksManager:camera-present

No description available.

###### Phosh.HksManager:mic-blocked

No description available.

###### Phosh.HksManager:mic-icon-name

No description available.

###### Phosh.HksManager:mic-present

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshHksManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.